Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038481
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorsometimes2018-05-02 13:322018-06-14 09:48
ReporterkchoperenaView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionce60a5a0e15f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038481: [STORE SERVER 4018]: Error when try to login in a WebPOS of a multiserver environment

DescriptionOBMOBC_SERVER_DEFINITION.strsyncReloadStatus property readable error when try to login in a WebPOS

cdb72c84 84398 [http-bio-9080-exec-2] ERROR org.openbravo.mobile.core.process.MobileService - Error captured:
org.openbravo.base.exception.OBSecurityException: Entity OBMOBC_SERVER_DEFINITION is not directly readable, only id and identifier properties are readable, property OBMOBC_SERVER_DEFINITION.strsyncReloadStatus is neither of these.
    at org.openbravo.base.structure.BaseOBObject.checkDerivedReadable(BaseOBObject.java:293)
    at org.openbravo.base.structure.BaseOBObject.get(BaseOBObject.java:255)
    at org.openbravo.base.structure.BaseOBObject.get(BaseOBObject.java:232)
    at org.openbravo.base.structure.BaseOBObject.get(BaseOBObject.java:213)
    at org.openbravo.mobile.core.MobileServerDefinition.getStrsyncReloadStatus(MobileServerDefinition.java:315)
    at org.openbravo.retail.storeserver.synchronization.RetailSynchronizationRequestHandler.isMandatoryReload(RetailSynchronizationRequestHandler.java:170)
    at org.openbravo.retail.storeserver.synchronization.RetailSynchronizationRequestHandler.requestHandled(RetailSynchronizationRequestHandler.java:109)
    at org.openbravo.mobile.core.process.MobileService.doGetOrPost(MobileService.java:114)
    at org.openbravo.mobile.core.process.MobileService.doGet(MobileService.java:63)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:621)
    at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:228)
    at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:461)
    at org.openbravo.client.kernel.BaseKernelServlet.callServiceInSuper(BaseKernelServlet.java:87)
    at org.openbravo.mobile.core.process.WebServiceAuthenticatedServlet.service(WebServiceAuthenticatedServlet.java:61)
    at org.openbravo.mobile.core.process.MobileService.service(MobileService.java:100)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:728)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:305)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:35)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
    at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:62)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:71)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:81)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:103)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:222)
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:123)
    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:502)
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:171)
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:100)
    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:953)
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:118)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)
    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)
    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:603)
    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:312)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
    at java.lang.Thread.run(Thread.java:748)
Steps To ReproduceIn a multiserver environment:

1.- Log into the WebPOS

Error launched before login
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105121)
hgbot (developer)
2018-06-13 09:56

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: ce60a5a0e15f5a23245655cc243cc665517be530
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jun 13 09:54:35 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/ce60a5a0e15f5a23245655cc243cc665517be530 [^]

Fixes issue 38481: Adds setAdminMode to prevent OBSecurityException

Adds an admin mode block when invoking the getStrsyncReloadStatus method or a MobileServer. Without that block the following
exception was thrown if the user did not have explicit access to the MobileServer entity:

cdb72c84 84398 [http-bio-9080-exec-2] ERROR org.openbravo.mobile.core.process.MobileService - Error captured:
org.openbravo.base.exception.OBSecurityException: Entity OBMOBC_SERVER_DEFINITION is not directly readable, only id and identifier properties are readable, property OBMOBC_SERVER_DEFINITION.strsyncReloadStatus is neither of these.
    at org.openbravo.base.structure.BaseOBObject.checkDerivedReadable(BaseOBObject.java:293)
    at org.openbravo.base.structure.BaseOBObject.get(BaseOBObject.java:255)
    at org.openbravo.base.structure.BaseOBObject.get(BaseOBObject.java:232)
    at org.openbravo.base.structure.BaseOBObject.get(BaseOBObject.java:213)
    at org.openbravo.mobile.core.MobileServerDefinition.getStrsyncReloadStatus(MobileServerDefinition.java:315)
    at org.openbravo.retail.storeserver.synchronization.RetailSynchronizationRequestHandler.isMandatoryReload(RetailSynchronizationRequestHandler.java:170)

---
M src/org/openbravo/retail/storeserver/synchronization/RetailSynchronizationRequestHandler.java
---
(0105136)
mtaal (developer)
2018-06-14 09:48

Reviewed

- Issue History
Date Modified Username Field Change
2018-05-02 13:32 kchoperena New Issue
2018-05-02 13:32 kchoperena Assigned To => AugustoMauch
2018-05-02 13:32 kchoperena Modules => Core
2018-05-02 13:32 kchoperena Triggers an Emergency Pack => No
2018-06-13 09:55 AugustoMauch Review Assigned To => mtaal
2018-06-13 09:56 hgbot Checkin
2018-06-13 09:56 hgbot Note Added: 0105121
2018-06-13 09:56 hgbot Status new => resolved
2018-06-13 09:56 hgbot Resolution open => fixed
2018-06-13 09:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/ce60a5a0e15f5a23245655cc243cc665517be530 [^]
2018-06-14 09:48 mtaal Note Added: 0105136
2018-06-14 09:48 mtaal Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker